KCONFIG_COMPILER " 1 "2006-06-01" "K Desktop Environment" "Herramienta de programación"

NAME
kconfig_compiler - Compilador de configuración de KDE

SYNOPSIS

kconfig_compiler [opciones-Qt] [opciones-KDE] [opciones] archivo.kcfg archivo.kcfgc

DESCRIPCIóN

kconfig_compiler genera código fuente C++ a partir de dos archivos. El primer archivo (.kcfg) contiene información sobre las opciones de configuración y el segundo archivo (.kcfgc) proporciona las opciones para la generación del código.

El código fuente generado contiene una clase basada en KConfigSkeleton que proporciona un API para acceder a los datos de configuración de las aplicaciones.

OPCIONES

Argumentos:

archivo.kcfg
    Archivo de XML kcfg de entrada

archivo.kcfgc
    Archivo de opciones de generación de código

Opciones:

-d, --directory <carpeta>
    Directorio para generar archivos en [.]

Opciones genéricas:

--help
    Muestra ayuda sobre las opciones

--help-qt
    Muestra las opciones específicas de Qt

--help-kde
    Muestra las opciones específicas de KDE

--help-all
    Muestra todas las opciones

--author
    Muestra información del autor

-v, --version
    Muestra información de la versión

--license
    Muestra información de la licencia

Opciones de KDE:

--caption <etiqueta>
    Utiliza «etiqueta» como nombre en la barra de título

--icon <icono>
    Utiliza «icono» como icono de la aplicación

--miniicon <icono>
    Utiliza «icono» como icono de la aplicación

--config <nombre-archivo>
    Utiliza un archivo de configuración alternativo

--dcopserver <servidor>
    Utiliza el servidor DCOP especificado en «servidor»

--nocrashhandler
    Desactiva el manipulador de cuelgues para conseguir volcados de memoria

--waitforwm
    Espera por un administrador de ventanas compatible con WM_NET

--style <estilo>
    Establece el estilo de interfaz gráfica de usuario de la aplicación

--geometry <geometría>
    Establece la geometría del cliente en el elemento gráfico principal. Utilice man X para ver el formato del argumento

Opciones de Qt:

--display <nombre-pantalla>
    Utiliza la pantalla del servidor X «nombre-pantalla»

--session <sesión-antigua>
    Restaura la aplicación para el «sesión-Id» proporcionado

--cmap
    Hace que la aplicación instale un mapa de color privado en una pantalla de 8 bit

--ncols <cantidad>
    Limita el número de colores situados en el cubo de color en una pantalla de 8 bit, si la aplicación está usando la especificación de color QApplication::ManyColor

--nograb
    Le dice a Qt no capture nunca con el ratón o el teclado

--sync
    Conmuta al modo asíncrono para depuración

--fn, --font <nombre-letra>
    Define el tipo de letra de la aplicación

--bg, --background <color>
    Establece el color predeterminado del fondo y una paleta de aplicación (se calculan las sombras claras y las oscuras)

--fg, --foreground <color>
    Establece el color predeterminado para el primer plano

--btn, --button <color>
    Establece el color predeterminado del botón

--name <nombre>
    Establece el nombre de la aplicación

--title <título>
    Establece el título de la aplicación (etiqueta)

--visual TrueColor
    Fuerza a la aplicación para que use visualización de color real en una pantalla de 8 bit

--inputstyle <estilo entrada>
    Establece el estilo de entrada XIM (X Input Method -método de entrada X-). Los posibles valores son onthespot, overthespot, offthespot y root

--im <servidor XIM>
    Establece el servidor XIM

--noxim
    Desactiva XIM

--reverse
    Invierte la distribución completa de los elementos gráficos

CONSULTE TAMBIéN

http://developer.kde.org
    Sitio web de la esquina del desarrollador de KDE

FALLOS

Por favor, para informar sobre fallos utilice bugs.kde.org: http://bugs.kde.org, no envíe correos electrónicos directamente a los autores.

AUTHORS
Cornelius Schumacher <schumacher@kde.org>, Waldo Bastian <bastian@kde.org>, Zack Rusin <zack@kde.org>.